classification
Title: [Windows] Document the launcher's -64 suffix
Type: enhancement Stage: resolved
Components: Documentation, Windows Versions: Python 3.8, Python 3.7
process
Status: closed Resolution: fixed
Dependencies: 30291 Superseder:
Assigned To: docs@python Nosy List: docs@python, eryksun, miss-islington, mrh1997, paul.moore, steve.dower, tim.golden, zach.ware
Priority: normal Keywords: patch

Created on 2018-06-20 23:43 by mrh1997, last changed 2019-04-13 10:55 by cheryl.sabella. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 7849 merged mrh1997, 2018-06-21 19:01
PR 12812 merged miss-islington, 2019-04-12 22:26
Messages (6)
msg320127 - (view) Author: Robert (mrh1997) * Date: 2018-06-20 23:43
When using the Python Launcher "py.exe", it uses 64bit by default and I can enforce using 32bit. 

But there is no way to enforce 64bit. If I run "py -3.6" the actual called interpreter depends on the interpreter versions installed on my system. 

Thus "py -3.6-64" is missing. 
This is important if 64bit features are required.
msg320130 - (view) Author: Eryk Sun (eryksun) * (Python triager) Date: 2018-06-21 01:45
Limiting to 64-bit is already implemented in the latest version of the launcher. For example, below I've renamed the registry key for 64-bit Python 3.5 to "xxx3.5" to prevent the launcher from finding it:

    C:\>py -3.5-64
    Python 3.5-64 not found!
    Installed Pythons found by py Launcher for Windows
     -xxx-64
     -3.7-64 *
     -3.7-32
     -3.6-64
     -3.6-32
     -3.5-32
     -2.7-64
     -2.7-32

    Requested Python version (3.5-64) not installed, use -0 for available pythons

-0p also lists the path for each executable. It's a bit rough around the edges that it lists the available versions and then tells the user to list them via -0 instead of the more general advice to use -h or --help for available options. 

The long names for -0 and -0p are --list and --list-paths, but currently these do not work. That should be easy to fix in the launcher's process() function if you want to contribute a patch.
msg320141 - (view) Author: Robert (mrh1997) * Date: 2018-06-21 08:00
A thanks!

In the meantime I found the corresponding changelog entry:
https://bugs.python.org/issue30291

I checked the corresponding commit:

there is no documentation update. It would be nice if the new feature can be found in the documentation (including the fact that -64 is only supported after installing python 3.7 or newer)...
msg320197 - (view) Author: Robert (mrh1997) * Date: 2018-06-21 19:02
I extended the documentation and created a pullrequest:

https://github.com/python/cpython/pull/7849
msg340118 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2019-04-12 22:26
New changeset 1e2ad6c275d2b09e76b7cbba7281d5a125a593c1 by Steve Dower (mrh1997) in branch 'master':
bpo-33922: Adding documentation for new "-64" suffix of Python launcher (GH-7849)
https://github.com/python/cpython/commit/1e2ad6c275d2b09e76b7cbba7281d5a125a593c1
msg340121 - (view) Author: miss-islington (miss-islington) Date: 2019-04-12 22:32
New changeset 395bb94a7f1c3ec9c29976738dfc6cb5d31f9aee by Miss Islington (bot) in branch '3.7':
bpo-33922: Adding documentation for new "-64" suffix of Python launcher (GH-7849)
https://github.com/python/cpython/commit/395bb94a7f1c3ec9c29976738dfc6cb5d31f9aee
History
Date User Action Args
2019-04-13 10:55:55cheryl.sabellasetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2019-04-12 22:32:37miss-islingtonsetnosy: + miss-islington
messages: + msg340121
2019-04-12 22:26:59miss-islingtonsetkeywords: + patch
pull_requests: + pull_request12737
2019-04-12 22:26:52steve.dowersetmessages: + msg340118
2018-07-06 18:40:54eryksunsetstatus: closed -> open

resolution: duplicate -> (no value)
assignee: docs@python
dependencies: + Allow windows launcher to specify bit lengths with & without minor version
stage: resolved -> patch review
title: Enforce 64bit Python by Launcher -> [Windows] Document the launcher's -64 suffix
nosy: + docs@python
versions: + Python 3.7, Python 3.8
components: + Documentation
superseder: Allow windows launcher to specify bit lengths with & without minor version ->
2018-06-21 19:02:53mrh1997setmessages: + msg320197
2018-06-21 19:01:15mrh1997setpull_requests: + pull_request7459
2018-06-21 08:00:31mrh1997setmessages: + msg320141
2018-06-21 01:45:24eryksunsetstatus: open -> closed

superseder: Allow windows launcher to specify bit lengths with & without minor version

nosy: + eryksun
messages: + msg320130
resolution: duplicate
stage: resolved
2018-06-20 23:43:42mrh1997create